Subject: Fwd: Factual correction

From: Martin Duerst <[email-masked]>
Date: Sat, 04 Nov 2006 19:03:53 +0900

The mail below was sent to the IETF. Ted Hardie pointed out that
the original mail that it discusses was cc'ed to the IETF list.
I'm therefore forwarding this mail, too.    Regards,    Martin.

>Date: Fri, 03 Nov 2006 18:06:44 +0900
>To: "LTRU Working Group" <[email-masked]>
>From: Martin Duerst <[email-masked]>
>Subject: Factual correction

>[co-chair hat off]
>
>It has come to my attention that in my long mail addressing the points
>in JFC Morfin's IETF Last Call comments on our matching draft (archived
>at http://www1.ietf.org/mail-archive/web/ltru/current/msg05013.html),
>there was a factual incorrectness.
>
>In the paragraph that read:
>
>   The commenter seems to claim that draft-ietf-ltru-matching conflicts with
>   draft-ietf-ltru-registry (here called RFC 3066bis) because the later
>   defines well-formed tags while the former does not require well-formed
>   tags. The reason for not requiring checking for well-formed tags when
>   matching was discussed extensively in the WG. There is a very clear reason:
>   requiring this would require to check the IANA language subtag registry,
>   potentially for every matching operation, which was considered operationally
>   infeasible. It would also be an unnecessary performance punishment for
>   those who actually use well-formed tags. In general, non-wellformed
>   tags or ranges will simply not match anything, which is just fine.
>
>the sentence that said:
>
>   There is a very clear reason: requiring this would require to check the
>   IANA language subtag registry, potentially for every matching operation,
>   which was considered operationally infeasible.
>
>was factually wrong. Well-formedness checking does not need online access
>to the registry, only one-time access when the checking software is built
>to get the list of grandfathered tags. Strictly speaking, not even validation
>does require online access to the registry, because validation can be done
>with respect to a specific registry date.
>
>The rest of the paragraph, in particular the following three
>sentences, are unaffected by this.
>
>   The reason for not requiring checking for well-formed tags when
>   matching was discussed extensively in the WG.
>   It would also be an unnecessary performance punishment for
>   those who actually use well-formed tags. In general, non-wellformed
>   tags or ranges will simply not match anything, which is just fine.
>
>I would like to appologize for any confusion this may have created.
>I personally do not think there was anything unclear in the draft
>(now an RFC), or anything that the WG would have done differently.
>My guess is also that this problem would have been spotted very quickly
>by quite some WG participants if it hadn't been burried in the middle
>of a very long mail answering another very long mail.
>
>Regards,     Martin.
>
>#-#-#  Martin J. Du"rst, Assoc. Professor, Aoyama Gakuin University
>#-#-#  http://www.sw.it.aoyama.ac.jp       mailto:[email-masked]    

#-#-#  Martin J. Du"rst, Assoc. Professor, Aoyama Gakuin University
#-#-#  http://www.sw.it.aoyama.ac.jp       mailto:[email-masked]     

_______________________________________________
Ietf mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/ietf